package org.seasar.framework.container;

import org.seasar.framework.exception.SRuntimeException;

/**
 * @author higa
 *
 * 外部コンポーネントが定義されたコンポーネントのクラスに
 * 適用できなかったときの実行時例外
 */
public class ClassUnmatchRuntimeException extends SRuntimeException {

	private Class componentClass_;
	private Class outerComponentClass_;
	
	/**
	 * @param componentKey
	 */
	public ClassUnmatchRuntimeException(
		Class componentClass,
		Class outerComponentClass) {
		super("ESSR0069", new Object[] { componentClass.getName(),
			outerComponentClass.getName()});
		componentClass_ = componentClass;
		outerComponentClass_ = outerComponentClass;
	}
	
	public Class getComponentClass() {
		return componentClass_;
	}
	
	public Class getOuterComponentClass() {
		return outerComponentClass_;
	}
}